condvar.h(3)

NAME
condvar.h

SYNOPSIS

#include <Inventor/C/basic.h>
#include <Inventor/C/base/time.h>
#include <Inventor/C/threads/common.h>

  Functions
cc_condvar * cc_condvar_construct (void)
void cc_condvar_destruct (cc_condvar *condvar)
int cc_condvar_wait (cc_condvar *condvar, cc_mutex *mutex)
int cc_condvar_timed_wait (cc_condvar *condvar, cc_mutex *mutex, cc_time period)
void cc_condvar_wake_one (cc_condvar *condvar)
void cc_condvar_wake_all (cc_condvar *condvar)

Function Documentation

  cc_condvar * cc_condvar_construct (void)
Constructs a conditional variable.

  void cc_condvar_destruct (cc_condvar * condvar)
Destroys the given conditional variable condvar.

  int cc_condvar_wait (cc_condvar * condvar, cc_mutex * mutex)
Wait indefinitely for the condvar conditional variable using the specified mutex lock.

  int cc_condvar_timed_wait (cc_condvar * condvar, cc_mutex * mutex, cc_time period)
Wait for no more than the period for the condvar conditional variable using the specified mutex lock.

  void cc_condvar_wake_one (cc_condvar * condvar)
Wake one thread waiting for the condvar conditional variable.

  void cc_condvar_wake_all (cc_condvar * condvar)
Wake all threads waiting for the condvar conditional variable.

Author

Generated automatically by Doxygen for Coin from the source code.